// 教师路由信息
import Layout from '@/layout/teacher.vue'

const teacher = [
  {
    path: '/recruit/teacher',
    show: true,
    redirect: '/recruit/teacher/studentList/index',
  },
  {
    path: '/recruit/teacher/studentList',
    component: Layout,
    name: '学生列表',
    icon: 'mdi-account-school-outline',
    meta: {
      enName: 'Student List'
    },
    children: [
      {
        path: 'index',
        name: '学生列表',
        meta: {
          enName: 'Student List',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/studentList/index.vue')
      },
      {
        path: 'detail/:id',
        show: true,
        name: '学生详情',
        meta: {
          enName: 'Student Details'
        },
        component: () => import('@/views/recruit/teacher/studentList/studentDetails.vue')
      },
    ]
  },
  {
    path: '/recruit/teacher/internshipSituation',
    component: Layout,
    name: '实习情况',
    icon: 'mdi-town-hall',
    meta: {
      enName: 'Internship Situation'
    },
    children: [
      {
        path: 'index',
        name: '实习情况',
        meta: {
          enName: 'Internship Situation',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/internshipSituation/index.vue')
      },
    ]
  },
  {
    path: '/recruit/teacher/teacherCertification',
    component: Layout,
    name: '账号信息',
    icon: 'mdi-human-male-board',
    meta: {
      enName: 'Teacher Certification'
    },
    children: [
      {
        path: 'index',
        name: '账号信息',
        meta: {
          enName: 'Teacher Certification',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/teacherCertification/index.vue')
      },
    ]
  },
  {
    path: '/recruit/teacher/organization',
    component: Layout,
    name: '院系管理',
    icon: 'mdi-file-tree-outline',
    meta: {
      enName: 'Department management'
    },
    children: [
      {
        path: 'index',
        name: '院系管理',
        meta: {
          enName: 'Department management',
        },
        show: true,
        component: () => import('@/views/recruit/teacher/organization/index.vue')
      },
    ]
  },
]

function traverse(list, type) {
  list.forEach(e => {
    if (!e.type) e.type = type
    if (!e.meta) e.meta = {}
    if (!e.meta.title) e.meta.title = e.name
    if (e.children?.length) traverse(e.children, 2)
  })
}
traverse(teacher, 1)

export default teacher