import common from './common'
import recruit from './recruit'
// import Layout from '@/layout'
import { setCommonPage } from '@/utils/dealData'



const remainingRouter = [
  {
    path: '/login',
    component: () => import('@/views/login/index'),
    name: 'login',
    meta: {
      commonPage: true,
      hidden: true,
      title: '登录/注册'
    }
  },
  {
    path: '/flameLogin',
    component: () => import('@/views/login/flameLogin'),
    name: 'flameLogin',
    meta: {
      hidden: true,
      title: '火苗儿校企'
    }
  },
  {
    path: '/register/selected',
    component: () => import('@/views/register/select.vue'),
    name: 'registerSelect',
    meta: {
      hidden: true,
      title: '注册'
    }
  },
  {
    path: '/register/selectedPersonRole',
    component: () => import('@/views/register/selectedPersonRole.vue'),
    name: 'registerSelectPersonRole',
    meta: {
      hidden: true,
      title: '个人用户选择角色'
    }
  },
  {
    path: '/register/school',
    component: () => import('@/views/register/school.vue'),
    name: 'registerShool',
    meta: {
      hidden: true,
      title: '老师注册'
    }
  },
  {
    path: '/register/schoolIndex',
    component: () => import('@/views/register/schoolForm.vue'),
    name: 'registerShoolForm',
    meta: {
      hidden: true,
      title: '老师注册'
    }
  },
  {
    path: '/register/school/inReview',
    component: () => import('@/views/register/schoolInReview.vue'),
    name: 'registerShoolInReview',
    meta: {
      hidden: true,
      title: '老师注册详情'
    }
  },
  {
    path: '/register/person',
    component: () => import('@/views/register/person.vue'),
    name: 'personRegister',
    meta: {
      hidden: true,
      title: '个人用户注册'
    }
  },
  {
    path: '/register/company',
    component: () => import('@/views/register/company.vue'),
    name: 'companyRegister',
    meta: {
      hidden: true,
      title: '企业用户注册'
    }
  },
  {
    path: '/forgotPassword',
    component: () => import('@/views/login/forgotPassword.vue'),
    name: 'forgotPassword',
    meta: {
      hidden: true,
      title: '找回密码'
    }
  },
  {
    path: '/forgotPasswordEnt',
    component: () => import('@/views/login/forgotPasswordEnt.vue'),
    name: 'forgotPasswordEnt',
    meta: {
      hidden: true,
      title: '找回密码'
    }
  },
  {
    path: '/userAgreement',
    name: 'userAgreement',
    children: [
      {
        path: '/userAgreement',
        component: () => import('@/views/login/components/userAgreement.vue'),
        meta: {
          title: '用户协议'
        }
      }
    ]
  },
  {
    path: '/privacyPolicy',
    name: 'privacyPolicy',
    children: [
      {
        path: '/privacyPolicy',
        component: () => import('@/views/login/components/privacyPolicy.vue'),
        meta: {
          title: '隐私政策'
        }
      }
    ]
  },
  {
    path: '/UserBehaviorNorms',
    name: 'UserBehaviorNorms',
    children: [
      {
        path: '/UserBehaviorNorms',
        component: () => import('@/views/login/components/UserBehaviorNorms.vue'),
        meta: {
          title: '用户行为规范'
        }
      }
    ]
  },
  {
    path: '/WorkplaceCommunityPolicy',
    name: 'WorkplaceCommunityPolicy',
    children: [
      {
        path: '/WorkplaceCommunityPolicy',
        component: () => import('@/views/login/components/WorkplaceCommunityPolicy.vue'),
        meta: {
          title: '职场社区政策'
        }
      }
    ]
  },
  {
    path: '/CopyrightPolicy',
    name: 'CopyrightPolicy',
    children: [
      {
        path: '/CopyrightPolicy',
        component: () => import('@/views/login/components/CopyrightPolicy.vue'),
        meta: {
          title: '版权政策'
        }
      }
    ]
  },
  {
    path: '/404',
    name: '404Page',
    component: () => import('@/views/404/index.vue'),
    meta: {
      title: '404'
    }
  },
  {
    path: '/permissionPrompt',
    name: 'permissionPrompt',
    component: () => import('@/views/recruit/enterprise/permissionPrompt/index.vue'),
    meta: {
      title: '无权限提示'
    }
  }
]
setCommonPage(remainingRouter) // 公共访问路由

const routeArray = [
  ...recruit,
  ...common,
  ...remainingRouter
]
export default routeArray
